future File Reference

Go to the source code of this file.

## Classes

class | std::__basic_future< _Res >
struct | std::__future_base
struct | std::__future_base::_Result< _Res >
struct | std::__future_base::_Result< _Res & >
struct | std::__future_base::_Result< void >
struct | std::__future_base::_Result_alloc< _Res, _Alloc >
struct | std::__future_base::_Result_base
class | std::future< _Res >
class | std::future< _Res >
class | std::future< _Res & >
class | std::future< void >
class | std::future_error
struct | std::is_error_code_enum< future_errc >
class | std::packaged_task< _Res(_ArgTypes...)>
class | std::promise< _Res >
class | std::promise< _Res >
class | std::promise< _Res & >
class | std::promise< void >
class | std::shared_future< _Res >
class | std::shared_future< _Res >
class | std::shared_future< _Res & >
class | std::shared_future< void >

## Namespaces

| std

## Macros

#define | _GLIBCXX_FUTURE

## Enumerations

enum | std::future_errc { future_already_retrieved, promise_already_satisfied, no_state, broken_promise }
enum | std::future_status { ready, timeout, deferred }
enum | std::launch { async, deferred }

## Functions

template<typename _Signature , typename _Fn , typename _Alloc >
static shared_ptr< __future_base::_Task_state_base< _Signature > > | std::__create_task_state (_Fn &&__fn, const _Alloc &__a)
template<typename _Fn , typename... _Args>
future< typename result_of< _Fn(_Args...)>::type > | std::async (launch __policy, _Fn &&__fn, _Args &&... __args)
template<typename _Fn , typename... _Args>
future< typename result_of< _Fn(_Args...)>::type > | std::async (_Fn &&__fn, _Args &&... __args)
const error_category & | std::future_category () noexcept
error_code | std::make_error_code (future_errc __errc) noexcept
error_condition | std::make_error_condition (future_errc __errc) noexcept
constexpr launch | std::operator & (launch __x, launch __y)
launch & | std::operator &= (launch &__x, launch __y)
constexpr launch | std::operator^ (launch __x, launch __y)
launch & | std::operator^= (launch &__x, launch __y)
constexpr launch | std::operator| (launch __x, launch __y)
launch & | std::operator|= (launch &__x, launch __y)
constexpr launch | std::operator~ (launch __x)
template<typename _Res >
void | std::swap (promise< _Res > &__x, promise< _Res > &__y) noexcept
template<typename _Res , typename... _ArgTypes>
void | std::swap (packaged_task< _Res(_ArgTypes...)> &__x, packaged_task< _Res(_ArgTypes...)> &__y) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file future.